Summary: GNU Emacs
Name: emacs
Version: 20.2
Release: 9
Copyright: GPL
Group: Applications/Editors/Emacs
Source: ftp://ftp.gnu.org/pub/gnu/emacs-20.2.tar.gz
Source1: ftp://ftp.ifi.uio.no/pub/emacs/mbsk-20.2.tar.gz
Source2: emacs.wmconfig
Patch0: emacs-20.2-gnulinux.patch
Patch1: emacs-20.2-xaw3d.patch
Patch2: emacs-20.2-gctags.patch
Patch3: emacs-20.2-noecoff.patch
Patch4: emacs-20.2-signal.patch
Buildroot: /var/tmp/emacs-root
#
# more info on multibyte support: http://sourcery.naggum.no/emacs/
#
Summary(de): GNU Emacs
Summary(fr): GNU Emacs
Summary(tr): GNU Emacs

%changelog
* Mon Jun 01 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- fix signals when linked with glibc on non-Intel architectures
  NOTE: This patch is not needed with emacs >20.2

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/lib/emacs/20.2/*-redhat-linux directory in the filelist

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- alpha started to like emacs-nox again :-)

* Thu Nov  6 1997 Michael Fulbright <msf@redhat.com>
- alpha just doesnt like emacs-nox, taking it out for now

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added multibyte support back into emacs 20.2
- added wmconfig for X11 emacs
- fixed some errant buildroot references

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- joy a new version of emacs! Of note - no lockdir any more.
- use post/preun sections to handle numerous GNU info files

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- stopped stripping it as it seems to break things

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- turned off ecoff support on the Alpha (which doesn't build anymore)

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved ctags to gctags to fit in the more powerful for C (but less
  general) exuberant ctags as the binary /usr/bin/ctags and the
  man page /usr/man/man1/ctags.1

%description
Emacs is the extensible, customizable, self-documenting real-time
display editor.  Emacs has special code editing modes, a scripting
language (elisp), and comes with many packages for doing mail,
news, and more, all in your editor.

This package includes the libraries necessary to run the emacs editor -
the actual program can be found in either the emacs-nox or emacs-X11
packages, depending on whether you use X Windows or not.

%package el
Summary: .el source files -- not necessary to run Emacs
Group: Applications/Editors/Emacs
Summary(de): el Quelldateien - zum Betrieb von Emacs nicht erforderlich
Summary(fr): Fichiers sources .el - non ncessaires pour excuter Emacs
Summary(tr): Lisp kaynak dosyalar -- Emacs altrmak iin gerekmez

%description el
This package contains the emacs-lisp sources for many of the
elisp programs included with the main emacs package.  You do
not need this package unless you want to modify these packages,
or see some elisp examples.

%package nox
Summary: emacs-nox -- no X libraries required
Group: Applications/Editors/Emacs
Requires: emacs
Summary(de): emacs-nox -- keine X-Libraries erforderlich
Summary(fr): emacs-nox -- les bibliothques X ne sont pas ncessaires
Summary(tr): X gerektirmeyen emacs paketi

%description nox
This package contains an emacs binary built without support for
X Windows.  While the emacs binary in the main emacs package will
work fine outside of X Windows (on the console, for instance),
the one in this package has a smaller memory image.

%package X11
Summary: emacs-X11 -- emacs with X Windows libraries
Group: Applications/Editors/Emacs
Requires: emacs
Summary(de): emacs-X11 -- emacs mit X-Windows-Libraries
Summary(fr): emacs-X11 -- emacs avec les bibliothques X Window
Summary(tr): X ortamnda alan emacs srm

%description X11
This package contains an emacs binary built with support for X
Windows. It will still work fine outside of X Windows (on the console,
for instance) but supports the mouse and GUI elements when used inside
of X Windows.

%description -l de X11
Dieses Paket enthlt eine Binrversion von emacs mit Untersttzung fr
X-Windows. Es funktioniert auch auerhalb von X Windows (z.B. auf der 
Konsole), untersttzt unter X-Windows jedoch die Maus und 
GUI-Elemente.

%description -l de
Emacs ist der erweiterbare, vernderbare, selbst-dokumentierende
Echtzeit-Editor. Emacs enthlt spezielle Modi zum Bearbeiten von Code,
eine Script-Sprache (elisp) und Pakete fr Mail, News und vieles mehr,
alles im Editor.

Dieses Paket enthlt die zum Ausfhren des emacs-Editors notwendig
sind. Das eigentliche Programm ist im Paket 'emacs-nox' bzw. 'emacs-X11'
enthalten, je nachdem, ob Sie X-Windows verwenden oder nicht.

%description -l de el
Dieses Paket enthlt die emacs-lisp-Quellen fr viele der im
emacs-Hauptpaket enthaltenen elisp-Programme. Sie bentigen
dieses Paket nur, wenn Sie diese Pakete ndern oder ein paar
Beispiele fr elisp sehen mchten.

%description -l de nox
Dieses Paket enthlt eine Binrversion von emacs ohne X-Windows-
Untersttzung. Das emacs-Binrprogramm im emacs-Hauptpaket funktioniert
zwar einwandfrei auerhalb von X-Windows (z.B. auf der Konsole),
die Version in diesem Paket hat jedoch ein kleineres Speicherabbild.

%description -l fr X11
Ce paquetage contient un binaire emacs construit avec la gestion X.
Il fonctionne bien sans X Window (sur un terminal, par exemple) mais
gre la souris et les lments GUI lorsqu'il est utilis sous X.

%description -l fr el
Ce paquetage contient les sources emacs-lisp de la plupart des
programmes elisp inclus avec le paquetage emacs principal. Vous
n'avez pas besoin de ce paquetage sauf si vous voulez modifier ces
paquetages ou voir quelques exemples elisp.

%description -l fr nox
Ce paquetage contient un binaire emacs construit sans gestion
X Window. Bien que le binaire emacs du paquetage emacs principal
fonctionne bien sans X Window (sur un terminal, par exemple),
celui-ci  une image mmoire plus petite.

%description -l tr X11
Bu pakette yer alan emacs program X11 destei iermektedir. Bu program X11
dnda da rahatlkla kullanlabilir, ancak X11 altnda kullanld zaman
ek grafik arabirimi ve fare destei salar.

%description -l tr
Emacs, son derece gelimi bir metin dzenleyicisidir. Bir ok gelitirme
ortamnda kullanlmak zere ayarlanabilir (C, Java, VHDL gibi). E-posta
okuyabilmek, haber gruplarna erimek gibi birok deiik ama iin
kullanlabilecek ek yazlmlarla yetenekli bir alma ortam salar.
Bu paket emacs altrmak iin gereken ktphaneleri ierir. Asl program
kullandnz ortama gre emacs-nox veya emacs-X11 paketinde yer alr.

%description -l tr el
Bu paket, ana emacs paketinde yer alan ou programn lisp kaynak kodlarn
ierir. Bu programlar deitirmeyi dnmyorsanz gerek duymayacaksnz.

%description -l tr nox
Bu paket iinde yer alan emacs program, X11 destei iermez ve almak
iin daha az bellee gereksinim duyar.

%prep
%setup -q
%setup -T -D -b 1
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .gctags
%patch3 -p1 -b .ecoff
%patch4 -p1 -b .signal

# clean out remnants of patching
find . -name "*.orig" -exec rm -f {} \;

%build
ARCHDIR=${RPM_ARCH}-redhat-linux
HOSTTYPE=${RPM_ARCH}-redhat-linux
PUREDEF=""
XPUREDEF=""

CFLAGS="$RPM_OPT_FLAGS $PUREDEF" LDFLAGS=-s ./configure \
	--prefix=/usr --libexecdir=/usr/lib --with-x=no \
	--sharedstatedir=/var $HOSTTYPE
make
cp src/emacs emacs-nox
make clean
CFLAGS="$RPM_OPT_FLAGS $XPUREDEF" LDFLAGS=-s ./configure \
	--prefix=/usr --with-x-toolkit --libexecdir=/usr/lib \
	--sharedstatedir=/var $ARCHDIR
make 

# now fix that dang rmail package
#cd lisp
#echo '(byte-compile-file "rmail.el")' > /tmp/foo.$$
#../src/emacs -batch -l /tmp/foo.$$
#rm /tmp/foo.$$

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
ARCHDIR=${RPM_ARCH}-redhat-linux
make install prefix=$RPM_BUILD_ROOT/usr \
	libexecdir=$RPM_BUILD_ROOT/usr/lib sharedstatedir=$RPM_BUILD_ROOT/var
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9nf $RPM_BUILD_ROOT/usr/info/*
install -m755 emacs-nox $RPM_BUILD_ROOT/usr/bin

# For some reason, when emacs is stripped on the Alpha, it dumps core
# Lucky for us it started doing this on the Intel as well. Yeah.
#strip $RPM_BUILD_ROOT/usr/bin/* ||:
for I in cvtmail digest-doc emacsserver fakemail hexl movemail profile \
	sorted-doc timer wakeup yow; do
	strip $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/$I||:
done

chown root.mail $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/movemail
chmod 2755 $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/movemail

# 20.2 doesn't need a lock directory
#mkdir -p $RPM_BUILD_ROOT/var/lock/emacs
#chmod 1777 $RPM_BUILD_ROOT/var/lock/emacs

mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp

# not sure why this is commented out any more
#cp -rp lisp $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION
#cp -rp etc $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION
#mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/site-lisp

mv $RPM_BUILD_ROOT/usr/man/man1/ctags.1 $RPM_BUILD_ROOT/usr/man/man1/gctags.1
mv $RPM_BUILD_ROOT/usr/bin/ctags $RPM_BUILD_ROOT/usr/bin/gctags

# wmconfig file
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 0644 $RPM_SOURCE_DIR/emacs.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/emacs


#
# create file lists
#

find $RPM_BUILD_ROOT/usr/share/emacs/%{PACKAGE_VERSION}/lisp \
  -name '*.elc' -print | sed "s^$RPM_BUILD_ROOT^^" > elc-filelist

#
# be sure to exclude some files which are need in core package
#
find $RPM_BUILD_ROOT/usr/share/emacs/%{PACKAGE_VERSION}/lisp \
  -name '*.el' -print | sed "s^$RPM_BUILD_ROOT^^" |\
  grep -v "international\/latin-[0-9]*.el" > el-filelist

%post
/sbin/install-info /usr/info/ccmode.gz /usr/info/dir --entry="* CC mode: (ccmode).    The GNU Emacs mode for editing C, C++, Objective-C and Java code." --section="Emacs"
/sbin/install-info /usr/info/ediff.gz /usr/info/dir --entry="* Ediff: (ediff).       A comprehensive visual interface to diff & patch." --section="Emacs"
/sbin/install-info /usr/info/dired-x.gz /usr/info/dir --entry="* Dired-X: (dired-x).   Dired Extra Features." --section="Emacs"
/sbin/install-info /usr/info/sc.gz /usr/info/dir --entry="* SC: (sc).             Supercite lets you cite parts of messages you're replying to, in flexible ways." --section="Emacs"
/sbin/install-info /usr/info/cl.gz /usr/info/dir --entry="* CL: (cl).             Partial Common Lisp support for Emacs Lisp." --section="Emacs"
/sbin/install-info /usr/info/mh-e.gz /usr/info/dir --entry="* MH-E: (mh-e).         Emacs interface to the MH mail system." --section="Emacs"
/sbin/install-info /usr/info/message.gz /usr/info/dir --entry="* Message: (message).   Mail and news composition mode that goes with Gnus." --section="Emacs"
/sbin/install-info /usr/info/gnus.gz /usr/info/dir --entry="* Gnus: (gnus).         The news reader Gnus." --section="Emacs"
/sbin/install-info /usr/info/forms.gz /usr/info/dir --entry="* Forms: (forms).       Emacs package for editing data bases by filling in forms." --section="Emacs"
/sbin/install-info /usr/info/viper.gz /usr/info/dir --entry="* VIPER: (viper).       The new VI-emulation mode in Emacs-19.29." --section="Emacs"
/sbin/install-info /usr/info/vip.gz /usr/info/dir --entry="* VIP: (vip).           A VI-emulation for Emacs." --section="Emacs"
/sbin/install-info /usr/info/emacs.gz /usr/info/dir --entry="* Emacs: (emacs).       The extensible self-documenting text editor." --section="Emacs"
/sbin/install-info /usr/info/info.gz /usr/info/dir --entry="* Info: (info).         Documentation browsing system." --section="Emacs"

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete /usr/info/ccmode.gz /usr/info/dir --entry="* CC mode: (ccmode).    The GNU Emacs mode for editing C, C++, Objective-C and Java code." --section="Emacs"
/sbin/install-info --delete /usr/info/ediff.gz /usr/info/dir --entry="* Ediff: (ediff).       A comprehensive visual interface to diff & patch." --section="Emacs"
/sbin/install-info --delete /usr/info/dired-x.gz /usr/info/dir --entry="* Dired-X: (dired-x).   Dired Extra Features." --section="Emacs"
/sbin/install-info --delete /usr/info/sc.gz /usr/info/dir --entry="* SC: (sc).             Supercite lets you cite parts of messages you're replying to, in flexible ways." --section="Emacs"
/sbin/install-info --delete /usr/info/cl.gz /usr/info/dir --entry="* CL: (cl).             Partial Common Lisp support for Emacs Lisp." --section="Emacs"
/sbin/install-info --delete /usr/info/mh-e.gz /usr/info/dir --entry="* MH-E: (mh-e).         Emacs interface to the MH mail system." --section="Emacs"
/sbin/install-info --delete /usr/info/message.gz /usr/info/dir --entry="* Message: (message).   Mail and news composition mode that goes with Gnus." --section="Emacs"
/sbin/install-info --delete /usr/info/gnus.gz /usr/info/dir --entry="* Gnus: (gnus).         The news reader Gnus." --section="Emacs"
/sbin/install-info --delete /usr/info/forms.gz /usr/info/dir --entry="* Forms: (forms).       Emacs package for editing data bases by filling in forms." --section="Emacs"
/sbin/install-info --delete /usr/info/viper.gz /usr/info/dir --entry="* VIPER: (viper).       The new VI-emulation mode in Emacs-19.29." --section="Emacs"
/sbin/install-info --delete /usr/info/vip.gz /usr/info/dir --entry="* VIP: (vip).           A VI-emulation for Emacs." --section="Emacs"
/sbin/install-info --delete /usr/info/emacs.gz /usr/info/dir --entry="* Emacs: (emacs).       The extensible self-documenting text editor." --section="Emacs"
/sbin/install-info --delete /usr/info/info.gz /usr/info/dir --entry="* Info: (info).         Documentation browsing system." --section="Emacs"
fi
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f elc-filelist
%doc etc/NEWS BUGS README etc/FAQ
/usr/bin/b2m
/usr/bin/gctags
/usr/bin/emacsclient
/usr/bin/etags
/usr/bin/rcs-checkin
/usr/man/*/*
/usr/info/*
#%dir /var/lock/emacs

%dir /usr/lib/emacs
/usr/lib/emacs/%{PACKAGE_VERSION}
%dir /usr/lib/emacs/site-lisp

%dir /usr/share/emacs/site-lisp
%dir /usr/share/emacs/%{PACKAGE_VERSION}
%dir /usr/share/emacs/%{PACKAGE_VERSION}/site-lisp
%dir /usr/share/emacs/%{PACKAGE_VERSION}/leim
%dir /usr/share/emacs/%{PACKAGE_VERSION}/lisp
%dir /usr/share/emacs/%{PACKAGE_VERSION}/lisp/term
%dir /usr/share/emacs/%{PACKAGE_VERSION}/etc

# handled by dynamically generated file lists
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/*.elc
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/*/*.elc
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/*.elc
#/usr/share/emacs/20.2/lisp/mail/*.elc

/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/README
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/AT386.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/bobcat.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/internal.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/keyswap.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/lk201.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt102.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt125.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt201.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt220.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt240.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt300.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt320.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt400.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term/vt420.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/COPYING
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/forms-d2.dat
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/README
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/mail/blessmail.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/forms-d2.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/forms-pass.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/loaddefs.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/loadup.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/patcomp.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/paths.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/mail/sc.el
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/term-nasty.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/version.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/subdirs.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/international/latin-1.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/international/latin-2.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/international/latin-3.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/international/latin-4.el
/usr/share/emacs/%{PACKAGE_VERSION}/lisp/international/latin-5.el

%files -f el-filelist el
# handled by dynamically generated file lists
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/*.el
#/usr/share/emacs/%{PACKAGE_VERSION}/lisp/*/*.el

%files nox
/usr/bin/emacs-nox

%files X11
/usr/bin/emacs
%config(missingok) /etc/X11/wmconfig/emacs
